Actions
All operations require authentication.
Retrieve the modem informationProduction
Reads the general information of the modem of the access. Returns an asynchronous task holding the modem information.
Path parameters
Service name
Response
Describe general information of a Modem
AsyncTask status
errorokpendingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ retrieveInfo \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "device": { "brand": "string", "ip": "192.0.2.0", "lastUpdate": "2024-01-01T12:00:00Z", "macAddress": "string", "model": "string", "oui": "string", "overEthernet": "string", "pppLogin": "string", "serial": "string", "softVersion": "string" }, "statistics": { "connectionUptime": 0, "crcError": 0, "deviceUptime": 0, "downstreamAttenuation": 0, "downstreamMargin": 0, "downstreamSync": 0, "fecError": 0, "hecError": 0, "lastUpdate": "2024-01-01T12:00:00Z", "modulation": "string", "quarterHourStart": 0, "syncUptime": 0, "upstreamAttenuation": 0, "upstreamMargin": 0, "upstreamSync": 0 } }, "status": "error"}
Refresh the devices connected to the modemProduction
Reads again from the modem of the access the devices connected to it. Returns the task that performs the change.
Path parameters
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ refreshConnectedDevices \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Reconfigure the VoIP line of the modemProduction
Pushes the VoIP line configuration again to the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ reconfigureVoip \
-H "authorization: Bearer $OVH_TOKEN"Reboot the modemProduction
Reboots the modem of the access, now or at the given date. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Date when the reboot will start
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Reset the modemProduction
Resets the modem of the access to its default configuration, and optionally the configuration stored by OVHcloud. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Reset configuration stored in OVH databases
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ reset \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}